| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ContactCodecMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, CodecList >.

## Public Member Functions

| ContactCodecMap ()
| ContactCodecMap (const QMap< uint, CodecList > &a)
ContactCodecMap & | operator= (const QMap< uint, CodecList > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, CodecList>, but needed to have a discrete type in the Qt type system.

A map from contact to the list of codecs he or she supports.

## Constructor & Destructor Documentation

Tp::ContactCodecMap::ContactCodecMap | ( |  | ) |

inline

Tp::ContactCodecMap::ContactCodecMap | ( | const QMap< uint, CodecList > & | a | ) |

inline

## Member Function Documentation

ContactCodecMap& Tp::ContactCodecMap::operator= | ( | const QMap< uint, CodecList > & | a | ) |

inline